Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025647Runner[All Projects] FunctionsPublic2017-02-14 14:432017-03-17 11:16
ReporterDaniel Cleaton 
Assigned ToRussell Kay 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
StatusClosedResolutionFixed 
Platform-OSWindows 8OS Version8.1 Pro x64
Summary0025647: Functions: ds_list_write() in combination with ds_list_read() turns blank "" strings into null values and crashes the runner
DescriptionAs you can see from the attached sample, ds_list_write() in combination with ds_list_read() turns blank "" strings into null values and crashes the runner.

Expected: The list read safely results in a blank string.
Steps To Reproduce1. Start the IDE and import the attached sample.
2. Run it for Windows.
3. Observe the crash and possible memory exception dialog on start-up.

Repro: 100%
1.4 Version1.4.1765
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon brokelist.gmz [^] (8,617 bytes) 2017-02-14 14:43

- Relationships

-  Notes
(0051685)
Russell Kay (Manager)
2017-02-20 16:36

Fixed in gitlab - NULL reference on YYCompareVal
(0052273)
Ross Manthorp (Administrator)
2017-03-17 11:16

Verified. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker